package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbEquipMaintenanceMonthlyEntity;
import com.ruoyi.web.v3.model.request.HbEquipMaintenanceMonthlyPageReq;

/**
 * <p>
 * v3.0 设备维保记录（月次） 服务类
 * </p>
 */
public interface IHbEquipMaintenanceMonthlyService extends IService<HbEquipMaintenanceMonthlyEntity> {

    AjaxResult add(HbEquipMaintenanceMonthlyEntity request);

    AjaxResult edit(HbEquipMaintenanceMonthlyEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbEquipMaintenanceMonthlyPageReq request);

    AjaxResult listAll();
}
